0

Please upgrade your database: Run "bin/magento setup:upgrade" from the Magento root directory. The following modules are outdated: Dotdigitalgroup_Email data: current version - 2.5.0, required version - 2.6.1

I am using Magento "version": "2.2.7". When i move old hosting to new hosting i got this issue. My PHP version is PHP 7.1 .

How can i fix this issue? I am Beginner with Magento 2. Please some one help me. https://devmag.visibleone.net/favelady/

15
  • module.xml version and version in database(setup_module) table is different. Jan 20 '20 at 5:14
  • if you have access to database then change the version of database same as module.xml Jan 20 '20 at 5:15
  • How can i do for it? any reference links pls?
    – Nang
    Jan 20 '20 at 6:43
  • you have database access ? Jan 20 '20 at 6:44
  • yes. i have. but i can't find (setup_module) table.
    – Nang
    Jan 20 '20 at 6:47
0

Go to your database fire below query

SELECT * FROM setup_module WHERE module = 'Dotdigitalgroup_Email'

and update schema and data version

OR

go to your magento root

remove composer.lock file

and run composer install command it will restart your composer installation and install avaliable latest package for your magento version

2
  • [v1net@server favelady]$ composer install Loading composer repositories with package information Warning from repo.magento.com: You haven't provided your Magento authentication keys. For instructions, visit devdocs.magento.com/guides/v2.3/install-gde/prereq/… Authentication required (repo.magento.com): Username:
    – Nang
    Jan 20 '20 at 7:04
  • when i install composer , i got this instructions message. what should be continue?
    – Nang
    Jan 20 '20 at 7:05
0

You should find module = 'Dotdigitalgroup_Email' in the table setup_module then fix Magento version 2.6.1

2
  • I already updated. But sitll got an error and my site is not working.
    – Nang
    Feb 17 '20 at 3:09
  • @Nang, please ensure that 'schema_version' and 'data_version' are similar. Then clear cache. Feb 20 '20 at 8:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.